
// import Icon from '@ant-design/compatible';
import {
  MenuFoldOutlined, MenuUnfoldOutlined
} from '@ant-design/icons';
import { Anchor, Button, Image, Layout, Menu } from 'antd';
import React from 'react';
import { HashRouter, Link, Route, Switch } from 'react-router-dom';
import Playerduo from './pages/playerduo.js';
import playerduo_logo from "./pages/playerduo_logo.svg";



const { Header, Sider, Content } = Layout;
 

class Home extends React.Component {
  state = {
    collapsed: true,
  };

  toggle = () => {
    this.setState({
      collapsed: !this.state.collapsed,
    });
  };

  render() {
    console.log(window.location.hash);
    return (

      <Layout style={{ background: "#e7e7e7", minHeight: '90vh' }} >
        <Sider trigger={null} collapsible collapsed={this.state.collapsed}>
          <div className="logo" />
          <Button type="primary" onClick={this.toggle} style={{ background: '#333333', width: "100%", colorRendering: "optimizeSpeed" }}>
            {React.createElement(this.state.collapsed ? MenuUnfoldOutlined : MenuFoldOutlined)}
          </Button>

          <Menu theme="dark" mode="inline" defaultSelectedKeys={[window.location.hash ? window.location.hash : "1"]}>

            {/* <Menu.Item key="1" icon={<UserOutlined />}>
              nav 1
                <HashRouter>
                <Link to="/"></Link>
              </HashRouter>
            </Menu.Item> */}
            <Menu.Item key="#/playerduo" title="playerduo" icon={<Image width={32} height={32} src={playerduo_logo}></Image>}>

              <HashRouter>
                <Link to={{ pathname: "/playerduo" }}></Link>
              </HashRouter>
            </Menu.Item>
            {/* <Menu.Item key="3" icon={<UploadOutlined />}>
              nav 3
                </Menu.Item> */}

          </Menu>

        </Sider>
        <Layout  >
          <HashRouter>
            <Switch>
              <Route exact path="/playerduo" render={()=>{return  <Header style={{ background: "#e7e7e7", height: "48px" }}>
                  <Anchor onClick={(e,link)=>{
                    window.location.hash = "playerduo";
                    console.log(e, link);
                  }} onChange={(e)=>{
                    e = window.location.hash;
                    console.log(e, window.location.hash);
                  }} style={{width:"100%"}}>
                    <Anchor.Link    title="player-monery"></Anchor.Link>
                  </Anchor>
                </Header>}}   >
              </Route>
              <Route exact path="/"   >
                < Header style={{ background: "#e7e7e7", height: "42px" }}>
                </Header>
              </Route>
            </Switch>
          </HashRouter>

          <Content
            style={{
              background: "#e7e7e7",
              marginTop: "2px",
              minHeight: '80vh',
            }}
          >

            <HashRouter>
              <Switch>
                <Route exact path="/playerduo" component={Playerduo} />
              </Switch>
            </HashRouter>
          </Content>
        </Layout>
      </Layout>

    );
  }
}

export default Home;